> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve credential structure for an app



## OpenAPI

````yaml get /metadata/credentials/{credentialName}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /metadata/credentials/{credentialName}:
    get:
      summary: Retrieve credential structure for an app
      operationId: credential-medata-by-app
      parameters:
        - name: credentialName
          in: path
          description: >-
            Name of connector (camelCased, can be found in App Metadata
            response)
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      connector: shopify
                      icon: https://cdn.runalloy.com/icons/shopify.png
                      isOauth: true
                      properties:
                        - name: shopSubdomain
                          displayName: Shop Subdomain
                          description: >-
                            Enter your store subdomain. If your store domain is
                            example.myshopify.com, the subdomain would be
                            example.
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                        example: shopify
                      icon:
                        type: string
                        example: https://cdn.runalloy.com/icons/shopify.png
                      isOauth:
                        type: boolean
                        example: true
                        default: true
                      properties:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              example: shopSubdomain
                            displayName:
                              type: string
                              example: Shop Subdomain
                            description:
                              type: string
                              example: >-
                                Enter your store subdomain. If your store domain
                                is example.myshopify.com, the subdomain would be
                                example.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````